<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Error APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Error APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__utils.html">Utility and Debug Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__error__t.html">tivx_error_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The internal representation of the error object.  <a href="structtivx__error__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__error.html#ga34e019f03086fa2129f03dc0234a9b85">ownCreateConstErrors</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates all the status codes as error objects.  <a href="#ga34e019f03086fa2129f03dc0234a9b85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__error.html#ga2ada11aea304b54c80b632aa45dc6020">ownGetErrorObject</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> status)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matches the status code against all known error objects in the context.  <a href="#ga2ada11aea304b54c80b632aa45dc6020"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga34e019f03086fa2129f03dc0234a9b85"></a><!-- doxytag: member="vx_error.h::ownCreateConstErrors" ref="ga34e019f03086fa2129f03dc0234a9b85" args="(vx_context context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownCreateConstErrors </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates all the status codes as error objects. </p>

</div>
</div>
<a class="anchor" id="ga2ada11aea304b54c80b632aa45dc6020"></a><!-- doxytag: member="vx_error.h::ownGetErrorObject" ref="ga2ada11aea304b54c80b632aa45dc6020" args="(vx_context context, vx_status status)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ownGetErrorObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td>
          <td class="paramname"> <em>status</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matches the status code against all known error objects in the context. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The pointer to the overall context. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>status</em>&nbsp;</td><td>The status code to find. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Returns a matching error object. </dd></dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
